뉴스광장
클라우드/리눅스에 관한 뉴스를 제공합니다.
보안 분류

Python aiohttp 라이브러리 보안 업데이트 권고

작성자 정보

  • 관리자 작성
  • 작성일

컨텐츠 정보

본문

□ 개요

 o Python의 aiohttp 라이브러리 취약점을 해결한 보안 업데이트 발표 [1]

 영향받는 버전을 사용 중인 시스템 사용자는 해결 방안에 따라 최신 버전으로 업데이트 권고

  * aiohttp 라이브러리 비동기 HTTP 클라이언트 및 서버 구축 라이브러리


□ 설명

 o aiohttp 라이브러리에서 검증 미흡으로 인해 발생하는 경로 탐색 취약점(CVE-2024-23334) [1]


□ 영향받는 제품 및 해결 방안

취약점

제품명

영향받는 버전

해결 버전

CVE-2024-23334

aiohttp

1.0.5 이후 ~ 3.9.2 이전

3.9.2 이후

 ※ 하단의 참고사이트를 확인하여 업데이트 수행 [1] [2]


□ 기타 문의사항

 한국인터넷진흥원 사이버민원센터국번없이 118118

[참고사이트]

[1] https://github.com/aio-libs/aiohttp/security/advisories/GHSA-5h86-8mv2-jq9ff

[2] https://github.com/aio-libs/aiohttp/pull/8079/files


□ 작성 : 침해사고분석단 취약점분석팀

관련자료

댓글 0
등록된 댓글이 없습니다.

공지사항


뉴스광장


  • 현재 회원수 :  60,066 명
  • 현재 강좌수 :  35,971 개
  • 현재 접속자 :  252 명